﻿@model MyTube.ViewModels.HomeModels.RegisterVM
@{
    ViewBag.Title = "Register";
    Layout = "~/Views/Shared/_shared.cshtml";
}

    <fieldset>
        <legend>Register</legend>

        <form action="/Home/Register" method="post">
            <div class="grid">
                <div class="row">
                    <div class="col-1">
                        @Html.LabelFor(m => m.Username)
                    </div>
                    <div class="col-2">
                        @Html.TextBoxFor(m => m.Username)
                    </div>
                    <div class="col-3">
                        @Html.ValidationMessageFor(m => m.Username)
                    </div>
                    <div class="col-3">
                        @Html.ValidationMessage("RegError")
                    </div>
                </div>
                <div class="row">
                    <div class="col-1">
                        @Html.LabelFor(m => m.Password)
                    </div>
                    <div class="col-2">
                        @Html.PasswordFor(m => m.Password)
                    </div>
                    <div class="col-3">
                        @Html.ValidationMessageFor(m => m.Password)
                    </div>
                </div>
                <div class="row">
                    <div class="col-1">
                        @Html.LabelFor(m => m.FirstName)
                    </div>
                    <div class="col-2">
                        @Html.TextBoxFor(m => m.FirstName)
                    </div>
                </div>
                <div class="row">
                    <div class="col-1">
                        @Html.LabelFor(m => m.LastName)
                    </div>
                    <div class="col-2">
                        @Html.TextBoxFor(m => m.LastName)
                    </div>
                </div>
                <div class="row">
                    <div class="col-3">
                        <input class="right" type="submit" value="Register" />
                    </div>
                </div>
            </div>
        </form>
    </fieldset>

